%{?nodejs_find_provides_and_requires}

%global packagename ng-classify
%global enable_tests 1

Name:		nodejs-ng-classify
Version:	4.1.1
Release:	2%{?dist}
Summary:	Compile CoffeeScript classes to AngularJS modules

License:	MIT
URL:		https://github.com/CaryLandholt/ng-classify
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(coffee-script)
BuildRequires:	npm(loophole)
BuildRequires:	npm(node.extend)

%if 0%{?enable_tests}
BuildRequires:	jasmine-node
%endif

%description
Compile CoffeeScript classes to AngularJS modules


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package

%nodejs_fixdep node.extend '^2.0.0'

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js *.coffee dist/ lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/jasmine-node --verbose --coffee test/
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Apr 27 2018 Jared K. Smith <jsmith@fedoraproject.org> - 4.1.1-1
- Initial packaging
